package com.hotent.base.jwt;

import java.io.Serializable;

public class  JwtAuthenticationRequest implements Serializable {
    private static final long serialVersionUID = -8445943548965154778L;

    private String username;
    private String password;

    public JwtAuthenticationRequest() {
        super();
    }

    public JwtAuthenticationRequest(String username, String password) {
        this.setUsername(username);
        this.setPassword(password);
    }

    public String getUsername() {
        return this.username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return this.password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    //=====
    private String randImageCode; //图形验证码
    private String randImageId; //图形验证码id

    public String getRandImageCode() {
        return randImageCode;
    }

    public void setRandImageCode(String randImageCode) {
        this.randImageCode = randImageCode;
    }

    public String getRandImageId() {
        return randImageId;
    }

    public void setRandImageId(String randImageId) {
        this.randImageId = randImageId;
    }

    private String clientId; //作为认证服务器时，接收客户端上传的clientId  决定跳转地址.

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }
}
